<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF6120"
	title	= "JfreeChart"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	nullCheck = "SQL1"
/>

<og:equals val1="{@useTableData1}" val2="true">
  <og:query command="{@command}" tableId="{@tableId1}" quotCheck="false">
	{@SQL1}
  </og:query>
</og:equals>

<og:chartCreate
	title		= "{@title}"
	domainLabel	= "{@domainLabel}"
	width		= "{@width}"
	height		= "{@height}"
	showLegend	= "{@showLegend}"
	rectangleEdge	 = "{@rectangleEdge}"
	plotOrientation	 = "{@plotOrientation}"
	chartBackColor	 = "{@chartBackColor}"
	plotBackColor	 = "{@plotBackColor}"
	rotationLabel	 = "{@rotationLabel}"
	domainMarker	 = "{@domainMarker}"
	useMarkerLabel	 = "{@useMarkerLabel}"
	useDomainLabel	 = "{@useDomainLabel}"
	categorySkip	 = "{@categorySkip}"
	categoryCutNo	 = "{@categoryCutNo}"
	categoryAnchor	 = "{@categoryAnchor}"
	useDomainLine    = "{@useDomainLine}"
	domainLineColor  = "{@domainLineColor}"
	useRangeLine     = "{@useRangeLine}"
	rangeLineColor   = "{@rangeLineColor}"
	rangeSkip   	 = "{@rangeSkip}"
	useCache		 = "{@useCache}"
	masterKey		 = "{@masterKey}"
	seriesPikup		 = "{@seriesPikup}"
	categoryMargin	 = "{@categoryMargin}"
	lowerMargin		 = "{@lowerMargin}"
	upperMargin		 = "{@upperMargin}"
	useToolTip		 = "{@useToolTip}"
	imageMapTarget	 = "{@imageMapTarget}"
	imageMapUrl		 = "{@imageMapUrl}"
	dateAxisFormat	 = "{@dateAxisFormat}"
>
	<og:chartDataset
		chartType	= "{@chartType1}"
		baseLegend	= "{@baseLegend1}"
		valueLabel	= "{@valueLabel1}"
		lowerBound	= "{@lowerBound1}"
		upperBound	= "{@upperBound1}"
		tickSize	= "{@tickSize1}"
		markValues	= "{@markValues1}"
		markColors	= "{@markColors1}"
		markOverColors	= "{@markOverColors1}"
		dynamicOCNo		= "{@dynamicOCNo1}"
		useMarkAnchor	= "{@useMarkAnchor1}"
		useGradient		= "{@useGradient1}"
		shapesVisible	= "{@shapesVisible1}"
		shapeColors		= "{@shapeColors1}"
		shapeScale		= "{@shapeScale1}"
		useDottedLine	= "{@useDottedLine1}"
		seriesColors	= "{@seriesColors1}"
		valueLabelsVisible	= "{@valueLabelsVisible1}"
		valueMarksVisible	= "{@valueMarksVisible1}"
		itemLabelVisible	= "{@itemLabelVisible1}"
		useItemLabelSep		= "{@useItemLabelSep1}"
		valueInset			= "{@valueInset1}"
		barMaxWidth			= "{@barMaxWidth1}"
		barItemMargin		= "{@barItemMargin1}"
		barWidth			= "{@barWidth1}"
		visibleLimit		= "{@visibleLimit1}"
		domainMargin		= "{@domainMargin1}"
		timeFormatType		= "{@timeFormatType1}"
		useVerticalLabels	= "{@useVerticalLabels1}"
		tableId				= "{@tableId1}"
		useTableData		= "{@useTableData1}"
	>
			{@SQL1}
	</og:chartDataset>
  <og:equals val1="{@SQL2}" val2="{@SQL2}" >
	<og:chartDataset
		chartType	= "{@chartType2}"
		valueLabel	= "{@valueLabel2}"
		baseLegend	= "{@baseLegend2}"
		lowerBound	= "{@lowerBound2}"
		upperBound	= "{@upperBound2}"
		shapeColors	= "{@shapeColors2}"
		domainMargin		= "{@domainMargin2}"
		valueLabelsVisible	= "{@valueLabelsVisible2}"
		valueMarksVisible	= "{@valueMarksVisible2}"
	>
			{@SQL2}
	</og:chartDataset>
  </og:equals>
  <og:equals val1="{@SQL3}" val2="{@SQL3}" >
	<og:chartDataset
		chartType	= "{@chartType3}"
		valueLabel	= "{@valueLabel3}"
		baseLegend	= "{@baseLegend3}"
		lowerBound	= "{@lowerBound3}"
		upperBound	= "{@upperBound3}"
		shapeColors	= "{@shapeColors3}"
		domainMargin		= "{@domainMargin3}"
		valueLabelsVisible	= "{@valueLabelsVisible3}"
		valueMarksVisible	= "{@valueMarksVisible3}"
	>
			{@SQL3}
	</og:chartDataset>
  </og:equals>
</og:chartCreate>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
